org.eclipse.jetty.webapp

## Interface WebAppClassLoader.Context

- All Known Implementing Classes:
    WebAppContext
  Enclosing class:
    WebAppClassLoader

      public static interface WebAppClassLoader.Context

  The Context in which the classloader operates.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExtraClasspath()`
    `java.security.PermissionCollection` | `getPermissions()`
    `boolean` | `isParentLoaderPriority()`
    `boolean` | `isServerClass(java.lang.String clazz)` Is the class a Server Class.
    `boolean` | `isSystemClass(java.lang.String clazz)` Is the class a System Class.
    `Resource` | `newResource(java.lang.String urlOrPath)` Convert a URL or path to a Resource.

- - ### Method Detail

    - #### newResource

          Resource newResource(java.lang.String urlOrPath)
                               throws java.io.IOException

      Convert a URL or path to a Resource. The default implementation is a wrapper for `Resource.newResource(String)`.
      Parameters:
        `urlOrPath` - The URL or path to convert
      Returns:
        The Resource for the URL/path
      Throws:
        `java.io.IOException` - The Resource could not be created.

    - #### getPermissions

          java.security.PermissionCollection getPermissions()

      Returns:
        Returns the permissions.

    - #### isSystemClass

          boolean isSystemClass(java.lang.String clazz)

      Is the class a System Class. A System class is a class that is visible to a webapplication, but that cannot be overridden by the contents of WEB-INF/lib or WEB-INF/classes
      Parameters:
        `clazz` - The fully qualified name of the class.
      Returns:
        True if the class is a system class.

    - #### isServerClass

          boolean isServerClass(java.lang.String clazz)

      Is the class a Server Class. A Server class is a class that is part of the implementation of the server and is NIT visible to a webapplication. The web application may provide it's own implementation of the class, to be loaded from WEB-INF/lib or WEB-INF/classes
      Parameters:
        `clazz` - The fully qualified name of the class.
      Returns:
        True if the class is a server class.

    - #### isParentLoaderPriority

          boolean isParentLoaderPriority()

      Returns:
        True if the classloader should delegate first to the parent classloader (standard java behaviour) or false if the classloader should first try to load from WEB-INF/lib or WEB-INF/classes (servlet spec recommendation).

    - #### getExtraClasspath

          java.lang.String getExtraClasspath()

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.